## org.eclipse.emf.edit.provider
Interface IItemPropertySource

All Known Implementing Classes:
  AdapterFactoryItemDelegator, AttributeValueWrapperItemProvider, ChangeDescriptionItemProvider, ComplexTypeConverterItemProvider, DelegatingWrapperItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreMappingRootItemProvider, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FeatureMapEntryWrapperItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenOperationItemProvider, GenPackageItemProvider, ItemPropertyDescriptor.ItemDelegator, ItemPropertyDescriptor.PropertyValueWrapper, ListChangeItemProvider, MappedObjectItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingItemProvider.TypeMappingHelperWrapper, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceItemProvider, ResourceSetItemProvider, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface IItemPropertySource

This is the interface is needed to populate property sheet items; it is the same as IPropertySource except that the object is passed as the first parameter for each method.

Method Summary
`java.lang.Object` `getEditableValue(java.lang.Object object)` This returns the value to be edited.
`IItemPropertyDescriptor` `getPropertyDescriptor(java.lang.Object object, java.lang.Object propertyID)` This returns the property descriptor with the given ID.
`java.util.List<IItemPropertyDescriptor>` `getPropertyDescriptors(java.lang.Object object)` This does the same thing as IPropertySource.getPropertyDescriptors.

Method Detail

### getPropertyDescriptors

    java.util.List<IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This does the same thing as IPropertySource.getPropertyDescriptors.

### getPropertyDescriptor

    IItemPropertyDescriptor getPropertyDescriptor(java.lang.Object object,
                                                  java.lang.Object propertyID)

  This returns the property descriptor with the given ID.

### getEditableValue

    java.lang.Object getEditableValue(java.lang.Object object)

  This returns the value to be edited.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.